%define module	Snowball-Norwegian
%define name	perl-%{module}
%define version 1.0
%define release %mkrel 3

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Porters stemming algorithm for Denmark
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/C/CI/CINE/%{module}-%{version}.tar.bz2
Url:            http://search.cpan.org/dist/%{module}/
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
Requires:	locales-no
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}
Obsoletes:	perl-Lingua-Stem-Snowball-No
Provides:	perl-Lingua-Stem-Snowball-No

%description
The stem function takes a scalar as a parameter and stems the word according to
Martin Porters Danish stemming algorithm, which can be found at the Snowball
website: http://snowball.tartarus.org/.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot} 
%makeinstall_std

mv %{buildroot}%{perl_vendorlib}/Lingua/Stem/Snowball/stemmer.pl \
    %{buildroot}%{perl_vendorlib}/Lingua/Stem/Snowball/stemmer-No.pl

%clean 
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Lingua
%{_mandir}/man3/*


%changelog
* Fri Dec 01 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0-3mdv2007.0
+ Revision: 89750
- Import perl-Snowball-Norwegian



* Wed Nov 30 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.0-3mdk
- changed name
- spec cleanup
- fix directory ownership
- %%mkrel
- rpmbuildupdate aware
- better summary
- better description
- better url

* Fri Oct 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-2mdk
- fix deps
- fix standard-dir-owned-by-package

* Thu Jun 26 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0-1mdk
- require locales-no
- fix package naming
- fix conflicting name on the stemmer.pl file

* Thu Jun 26 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0-1mdk
- initial cooker contrib.
